/**
 * Class representing the BasicMovement timeline.
 *
 * Made with Flow
 */
class BasicMovement {
    /**
     * Returns the timeline's duration in milliseconds.
     */
    static get duration() { return 1000 }

    static artboardAnimation() {
        // Workaround for Safari bug
        return document.querySelector('#BasicMovement.flow-artboard').animate({
            backgroundPosition: ['0px', '1px'],
        }, {
            delay: 0,
            duration: 1000,
        });
    }
    static redAnimation0() {
        return document.querySelector('#BasicMovement .red').animate({
            left: ['68px', '306px'],

        }, {
            delay: 0,
            duration: 1000,
            easing: 'ease-in-out',
            composite: 'add',
            fill: 'forwards',
        });
    }

    /**
     * Creates and returns all animations for this timeline.
     */
    static createAllAnimations() {
        return [
            this.artboardAnimation(),
            this.redAnimation0(),
        ]
    }
}

BasicMovement.allShapes = [
    document.querySelector("#BasicMovement .red-svg"),
]

Object.freeze(BasicMovement)
